#include "ssl.h"
#include <sys/socket.h>

/* Copy source to the monit dir and compile like this:
 * gcc -g -lssl -I . -o test_cli xmalloc.c net.c test_cli.c ssl.c
 * Start test_cli after the server.
 */
main() {

  char buf[4096];
  ssl_connection * ssl_cli;
  int err;

  if ((ssl_cli= create_ssl_socket("localhost", 1111, SOCK_STREAM))== NULL) {

    exit(2);

  }

  printf("Connected... cipher=[%s]\n", ssl_cli->cipher);

  printf("Server certificate issuer=[%s]\n", ssl_cli->cert_issuer );
  printf("Server certificate subject=[%s]\n", ssl_cli->cert_subject );
  
  err=send_ssl_socket(ssl_cli, "My name is client!", strlen("My name is client!"));
  printf("Sent %i chars\n",err);
  err=recv_ssl_socket(ssl_cli, buf, 4095);
  buf[err]=0;
  printf("Received %i chars\n", err);
  printf("%s", buf);

  close_ssl_socket(ssl_cli);
  delete_ssl_socket(ssl_cli);

}
